<script>
	jQuery(function($) {
		var $ = jQuery;
		
		if ( $('#type').val() != 'horizontal' ) {
			$('.horizontalsettings').hide();
		}

		$('#type').change(function() {
			var value = $(this).val();

			$('.horizontalsettings').hide();			

			switch(value) {
				case 'horizontal':
					$('.horizontalsettings').show();
					break;
				case 'vertical':
					break;				
			}
		});
	});
</script>